Bug 1016865 - [deploy][origin_runtime_277] First deploy using git ref after a binary deployment will fail
[deploy][origin_runtime_277] First deploy using git ref after a binary deploy...
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-10-08 16:20 EDT by Fabiano Franz
Modified: 2015-05-14 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-17 09:34:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabiano Franz 2013-10-08 16:20:05 EDT
Description of problem: 

When using the new deployment commands, the first deployment of a git ref (say 'master') after a binary deployment will fail with:

An error occurred executing 'gear deploy' (exit code: 1)
Error message: Shell command '/bin/cp -a app-root/runtime/dependencies/. app-deployments/2013-10-08_15-52-57.930/dependencies' returned an error. rc=1
stderr: /bin/cp: cannot stat `app-root/runtime/dependencies/.`: No such file or directory

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
1. deploy a binary (succeeds)
2. deploy a git ref like 'master' (will fail)
3. deploy a git ref like 'master' (will succeed)

Actual results: first deployment of a git ref after a binary deployment will fail

Expected results: deployment works

Additional info:

Full logs:

Comment 2 chunchen 2013-10-10 02:07:06 EDT
It's fixed, verified on devenv_3880, please refer to the following results:

1. Create an app
rhc app create cphp00 php-5.3
2. Show the UUID of this app
rhc app show cphp00 --gears
3. Set deployment type to binary
curl -k -H "Accept: application/xml" --user "chunchen:redhat7" https://ec2-50-16-93-25.compute-1.amazonaws.com/broker/rest/application/52563c179f5d5096ea000031 -X PUT -d auto_deploy=false -d deployment_type=binary
4. Create a binary
rhc snapshot save cphp00 --deployment
5. Deploy this binary
rhc deploy ./cphp00.tar.gz -a cphp00
6. Deploy a git ref like 'master'
rhc deploy master -a cphp00
7. Deploy a git ref like 'master' again
rhc deploy master -a cphp00

at step 5:
Deployment of file '/root/test/cphp00.tar.gz' in progress for application cphp00 ... done

at step 6 & 7:
Deployment of git ref 'master' in progress for application cphp00 ... Stopping PHP cartridge
Waiting for stop to finish
Building git ref 'master', commit fc35a09
Building PHP cartridge
Preparing build for deployment
Prepared deployment artifacts in /var/lib/openshift/52563c179f5d5096ea000031/app-deployments/2013-10-10_01-47-23.672
Deployment id is 94c61b0a
Activating deployment
Starting PHP cartridge

Note You need to log in before you can comment on or make changes to this bug.